We're Hiring!

Mattermost, Inc.

Upgrading Mattermost from 5.9.0 to latest ESR

We are currenlty running Mattermost 5.9.0 on CentOS 7 with PostgreSQL 9.2.24 on a single server which is not accessible from anywhere outside our internal management network (and not accessible from our general company network) so there are no extras to consider, just the software itself and the database

I want to get it all to the latest ESR which I think is 5.31.5 from the docos.

Will I have to upgrade PostgreSQL to 10.x first or upgrade it to an intermediate release - 9.5 or 9.6? Will I have to upgrade Mattermost to an intermediate version before upgrading PostgreSQL?

All this isn’t very clear from the online documentation. I would greatly appreciate some guidance from the experts.

Thanks

Michael LIghtfoot
Delivery Engineer
Sliced Tech